Subject: Re: no <hash_map> in gcc 3.1.1-4
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Mon, 26 Aug 2002 15:46:27 +0900
Newsgroups: gmane.os.cygwin

We have hash_map here... it is in <ext/hash_map>

its also in an odd namespace - __gnu_cxx for some reason!  __gnu_cxx should
only be used for internal stuff but since 3.0 its also being used for
"extensions" to the stl, I think they should have another namespace for
extensions as its bad for external users to be accessing the __gnu_cxx
namespace directly, especially for such commonly required extensions such as
hash_map.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Christophe Trophime" <[email-masked]> wrote in message
news:[email-masked]...
> Hi
> I am trying to port some codes to NT using cygwin.
> I have installed gcc 3.1.1-4 as a cross-compiler on my linux box.
> When compiling it complains about missing <hash_map> header...
> which is not on my "cross compiler include directories" neither on
> NT with latest cygwin and gcc 3.1.1-4?
>
> I think that changing <hash_map> to <hash_map.h> will fix this problem
> but I would appreciate if <hash_map> is included in cygwin gcc 3.1.1-4.
>
> Thanks.
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/